Name:		kooldock
Version:	0.4.6
Release:	4%{?dist}
Summary:	Cool dock for KDE with great visual effects and enhancements
Group:		User Interface/Desktops
License:	GPLv2
URL:		http://sourceforge.net/projects/kooldock
Source0:	http://ovh.dl.sourceforge.net/sourceforge/kooldock/kooldock-%{version}.tar.gz
Source3:	kooldock.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake
BuildRequires:	qt-devel kdelibs3-devel gettext

%description
KoolDock is a KDE project that aims to have a cool dock for KDE with great
visual effects and enhancements.
Some of it features are:
- Display quick launchers to your favourite apps
- A builtin task bar
- Pager and clock. (Not done yet)
- Smooth zooming effect (like Apple's OS X dock)
- Transparent Background.

%prep
%setup -q -n %{name}
make -f Makefile.dist

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --disable-rpath --disable-dependency-tracking --disable-final
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --vendor="" \
  --add-category="Utility" \
  --add-category="KDE" \
  --add-category="Qt" \
  %{SOURCE3}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/crystalsvg || :

%postun
touch --no-create %{_datadir}/icons/crystalsvg || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/kooldock
%{_datadir}/icons/crystalsvg/*/apps/kooldock.png
%{_datadir}/applications/kde/*desktop

%changelog
* Fri Feb 22 2008 Michał Bentkowski <mr.ecik at gmail.com> - 0.4.6-4
- Fix BR

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.6-3
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.4.6-2
- Rebuild
- License tag fix

* Thu Apr 05 2007 Michał Bentkowski <mr.ecik at gmail.com> - 0.4.6-1
- Bump to 0.4.6

* Mon Sep 04 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-4.20060720cvs
- FC6 rebuild

* Wed Jul 26 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-3.20060720cvs
- Fix in %%prep section
- Delete kdelibs dependency
- Delete export QTLIB...
- Drop %%doc INSTALL
- Add %%post and %%postun
- Change of URL

* Wed Jul 26 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-2.20060720cvs
- Add some macros
- Remove qt dependency

* Thu Jul 20 2006 Michał Bentkowski <mr.ecik at gmail.com> - 0.3-1.20060720cvs
- First release
